"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../../config");
class DraftDao {
    constructor() {
        if (config_1.mongoUri) {
            require('./mongo/connect')(config_1.mongoUri);
            this.model = require('./mongo/draft');
        }
    }
    getAll(tenant, user) {
        return this.model.getAll(tenant, user);
    }
    getDraft(query) {
        return this.model.getDraft(query);
    }
    setDraft(query, contexts) {
        return this.model.setDraft(query, contexts);
    }
    removeDraft(query) {
        return this.model.removeDraft(query);
    }
}
const draftDao = new DraftDao;
exports.default = draftDao;
