"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeDraft = exports.setDraft = exports.getDraft = exports.getAll = void 0;
const draft_1 = __importDefault(require("./models/draft"));
function getAll(tenant, user) {
    return draft_1.default.find({ user, tenant }).lean().exec();
}
exports.getAll = getAll;
function getDraft(query) {
    return draft_1.default.findOne(query).lean().exec();
}
exports.getDraft = getDraft;
function setDraft(query, contexts) {
    return draft_1.default.findOneAndUpdate(query, contexts, {
        upsert: true,
        new: true,
        setDefaultsOnInsert: true
    }).lean().exec();
}
exports.setDraft = setDraft;
function removeDraft(query) {
    return draft_1.default.deleteOne(query).exec();
}
exports.removeDraft = removeDraft;
