"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const DraftSchema = new mongoose_1.default.Schema({
    user: {
        type: String,
        required: true,
    },
    tenant: {
        type: String,
        required: true,
    },
    contextDisplayName: String,
    contextRouteParams: {
        type: mongoose_1.default.Schema.Types.Mixed,
        default: {},
    },
    contextType: {
        type: String,
        required: true,
    },
    contextId: {
        type: String,
        required: function () {
            // @ts-ignore
            return this.contextId != null && typeof this.contextId !== "string";
        },
    },
    contextData: {
        type: mongoose_1.default.Schema.Types.Mixed,
        default: {},
    },
});
exports.default = mongoose_1.default.model("Draft", DraftSchema);
